Subject: RE: need clarification of "deprecated" address

From: "Bound, Jim" <[email-masked]>
Date: Mon, 26 Aug 2002 13:50:27 -0400

this has nothing to do with default address selection in the IP layer and addr conf which is where it is set.  Also the discussion is for incoming transport layer connections for TCP, SCTP, and I think we need to consider connectionless too.

Sure for applications but I don't think that is the discussion.  

/jim

> -----Original Message-----
> From: Richard Draves [mailto:[email-masked]]
> Sent: Monday, August 19, 2002 11:36 AM
> To: Robert Elz; [email-masked]
> Cc: Atsushi Onoe; [email-masked]
> Subject: RE: need clarification of "deprecated" address 
> 
> 
> > How would you suggest that it be revised to have the proper 
> > effect? (That is, to explicitly allow deprecated addresses to 
> > be used, other than when it is a toss up which address to use).
> 
> Really it should point to the Default Address Selection RFC, 
> although I
> suppose that would create an undesirable document dependency.
> 
> Rich
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Robert Elz <[email-masked]>
Date: Tue, 27 Aug 2002 20:30:13 +0700

Date:        Mon, 26 Aug 2002 13:50:27 -0400
    From:        "Bound, Jim" <[email-masked]>
    Message-ID:  <[email-masked]>

Jim, all of this was pretty much settled almost a week ago, all that remains
is to get the text modified (but as I don't think there's a new version of
this doc in the works right now, I'm not sure when that will happen).

Even the new text has been agreed, I believe.   But ...

  | this has nothing to do with default address selection in the IP layer

The address selection draft is more than that, but "this" had everything
to do with address selection - the "default" case is the one where not
using a deprecated address is the correct answer, in other cases it isn't,
and that's why perhaps mention about not using deprecated addresses might
be better in the default addr selection doc, and no-where else.
Unfortunately while putting it there is easy (for Rich) that doesn't by
itself get rid of the text from 2462.   And that text was the problem.

  | Also the discussion is for incoming transport layer connections for TCP,

Yes, but that was influenced by a decision made about what was legal for
outgoing connections, based upon one reading of the doc.   The implementation
has been fixed since, and new text for the doc to avoid it in future agreed.

  | SCTP, and I think we need to consider connectionless too.

Yes, all the same issues (approximately) apply to connectionless.

  | Sure for applications but I don't think that is the discussion.  

They were part of it.    You probably needed to read all of the messages,
more carefully, before replying.

kre